using GameMessage;

namespace GameFix.Poker
{
    public static class CardStyleInfoExt
    {
        public static string PrintStyleText(this CardStyleInfo cardStyleInfo)
        {
            if (DataCardConst.CardStyleReadableText.TryGetValue(cardStyleInfo.CardStyle, out string cardStyleText))
            {
                return $"{cardStyleText}_{cardStyleInfo.CardValue}_{cardStyleInfo.CardCnt}";
            }
            
            return $"{cardStyleInfo.CardStyle}_{cardStyleInfo.CardValue}_{cardStyleInfo.CardCnt}";
        }
    }
}